Subject: Re: [PATCH] powerpc/rtas_flash: New return code to indicate FW entitlement expiry

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 23 Apr 2013 15:32:30 +1000

On Tue, 2013-04-23 at 10:35 +0530, Ananth N Mavinakayanahalli wrote:
> On Tue, Apr 23, 2013 at 10:40:10AM +1000, Benjamin Herrenschmidt wrote:
> > On Fri, 2013-04-19 at 17:14 +0530, Vasant Hegde wrote:
> > > Add new return code to rtas_flash to indicate firmware entitlement
> > > expiry. This will be used by the update_flash script to return
> > > appropriate message to the user.
> > 
> > What's the point of that patch ? It adds a definition to a private .c
> > file not exposed to user space and doesn't do anything with it ...
> 
> Ben,
> 
> The userspace update_flash script invokes the rtas_flash module. With
> upcoming System p servers, the firmware will have the entitlement dates
> encoded in it and RTAS will return an error if the entitlement has
> expired. All we need from this module is for it to return that new error
> which will then be communicated to the user by the update_flash.

That doesn't answer my question :-)

What is the point of adding a #define to a piece of code without any user
of that definition and in a file that isn't exposed to user space ?

IE. What is the point of the patch ?

Cheers,
Ben.